services:
    life_style_tools_caching.api_manager:
        class: LifeStyle\Tools\CachingBundle\Api\Manager
        arguments: ['@service_container', '%life_style_tools_caching%']

    life_style_tools_caching.subscriber:
        class: LifeStyle\Tools\CachingBundle\EventSubscriber\CachingSubscriber
        arguments: [ "@life_style_tools_caching.api_manager", '@controller_resolver']
        tags:
            - { name: kernel.event_subscriber }

    cache_event_manager:
        class: LifeStyle\Tools\CachingBundle\EventDispatcher\Manager
        arguments: ["@event_dispatcher"]